Fetch Workflow Summary for a Single Contact
curl --request GET \
--url https://api.sakari.io/v1/accounts/{accountId}/workflows/{workflowId}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/workflows/{workflowId}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sakari.io/v1/accounts/{accountId}/workflows/{workflowId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pagination": {
"limit": 123,
"offset": 123,
"hasNext": true
},
"data": [
{
"id": "<string>",
"version": {
"id": "<string>",
"name": "<string>"
},
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
]
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}workflows
Fetch Workflow Summary for a Single Contact
GET
/
v1
/
accounts
/
{accountId}
/
workflows
/
{workflowId}
/
executions
Fetch Workflow Summary for a Single Contact
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Workflow to apply operations to
Query Parameters
Results to skip when paginating through a result set
Required range:
x >= 0Maximum number of results to return
Required range:
1 <= x <= 100ID of contact
General search term that specifies status
General search term that specifies start date
General search term that specifies end date
⌘I